Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81948 - kickstart installation fails
Summary: kickstart installation fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 17:34 UTC by Need Real Name
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-27 17:08:42 UTC


Attachments (Terms of Use)
Anaconda dump (deleted)
2003-01-17 20:14 UTC, Need Real Name
no flags Details

Description Need Real Name 2003-01-15 17:34:38 UTC
Kickstart installation fails
with an exception in 

Traceback:
File /usr/bin/anaconda, line 694 in ?
intf.run (id., dispatch, configFileData) 

kickstart is generated using redhat-config-kickstart

#Generated by Kickstart Configurator

#System language
lang en_US

#Language modules to install
langsupport en_US

#System keyboard
keyboard us

#System mouse
mouse genericps/2

#System timezone
timezone --utc America/New_York

#Root password
rootpw --iscrypted $1$2JJÃÅS8xì$UZgMDUMYLroFBy4y0v2Aa/

#Reboot after installation
#reboot

#Install Red Hat Linux instead of upgrade
install

#Use HTTP installation media
url --url http://209.10.98.88/redhat-8.0-installation/cdrom/

#System bootloader configuration
bootloader --location=mbr --append nousb 

#Clear the Master Boot Record
zerombr yes

#Clear all partitions from the disk
clearpart --all --initlabel 

#Disk partitioning information
partition /boot --size 20 --fstype ext3
partition swap --recommended
partition / --size 1200  --fstype ext3
partition /usr --size 3200 --fstype ext3
partition /var --size 2200 --fstype ext3
partition /home --size 1000 --grow --fstype ext3

#Use static networking
network --bootproto static  --ip 192.168.3.77  --netmask 255.255.255.0 
--gateway 192.168.3.1  --nameserver 192.168.3.1 

#System authorization information
auth  --useshadow  --enablemd5 

#Firewall configuration
firewall --high --ssh --smtp 

#XWindows configuration information
#Probe for video card
#Probe for monitor
xconfig  --depth 8 --resolution 640x480 --defaultdesktop=GNOME

%packages --resolvedeps
@GNOME Desktop Environment
@Editors
@Server Configuration Tools
@Web Server
@Windows File Server
@Development Tools
@Administration Tools
@System Tools

Comment 1 Need Real Name 2003-01-15 17:37:01 UTC
It downloads all packages (the last one is
xdelta-1.1.3-7.i386.rpm
intalls them and then gives the in line 694 exception.

Comment 2 Michael Fulbright 2003-01-16 16:22:09 UTC
It would really help diagnose the problem if you could attach the traceback.

Comment 3 Need Real Name 2003-01-16 16:26:56 UTC
I will try to get a trace.
This is not easy because I do not have a physical access to the computer.
I will try to get in in few days.


Comment 4 Need Real Name 2003-01-17 20:14:03 UTC
Created attachment 89426 [details]
Anaconda dump

Comment 5 Need Real Name 2003-01-17 20:16:01 UTC
In addition:
If I add 

interactive

option to kickstart the intallation ends OK,
no such problem arise.


Comment 6 Need Real Name 2003-01-18 21:40:01 UTC
If I add

skipx

to ks.cfg intallation finishes OK.


Comment 7 Michael Fulbright 2003-01-30 21:13:53 UTC
I fixed this internally. What was happening was we could not determine the video
ram for this chipset, and this was causing trouble when writing out the
anaconda-ks.cfg.

If you put a --videoram option on your xconfig line in the original ks script it
might help.

Comment 8 Michael Fulbright 2003-02-27 17:08:42 UTC
Closing due to inactivity - please reopen if you have additional information to
add to this report.


Note You need to log in before you can comment on or make changes to this bug.